Page 1 of 2 12 LastLast
Results 1 to 10 of 13

Thread: SQLite 3

  1. #1

    Default SQLite 3

    I read some previous posts but most people never replied back with the results of their command prompt.
    Before I got to this point I tried 2.0 p648 and 643. I saw another post that said 645 so I uninstalled every version of Ruby and got that one.
    Also this command was at first telling me I needed a DevKit so I found a Ruby 2.0 one and got that installed.
    Now it got to the building native extensions part but there's another error.
    I tried downloading sqlite3.h which came in the amalgamation zip and I got the binary zip but this error message stays the same. I'm not sure why it says I don't have that file. I thought maybe its the wrong place so I moved it around a bit but the error isn't changing.
    OS is Windows 7

    Anyway that's where I'm at now and this is the result I get when I run the string from the command line

    Code:
    C:\>c:\ruby200\bin\gem.bat install sqlite3 --source http://rubygems.org --no-ri --no-rdoc
    Temporarily enhancing PATH to include DevKit...
    Building native extensions.  This could take a while...
    ERROR:  Error installing sqlite3:
            ERROR: Failed to build gem native extension.
    
        c:/Ruby200/bin/ruby.exe extconf.rb
    checking for sqlite3.h... no
    sqlite3.h is missing. Install SQLite3 from http://www.sqlite.org/ first.
    *** extconf.rb failed ***
    Could not create Makefile due to some reason, probably lack of necessary
    libraries and/or headers.  Check the mkmf.log file for more details.  You may
    need configuration options.
    
    Provided configuration options:
            --with-opt-dir
            --without-opt-dir
            --with-opt-include
            --without-opt-include=${opt-dir}/include
            --with-opt-lib
            --without-opt-lib=${opt-dir}/lib
            --with-make-prog
            --without-make-prog
            --srcdir=.
            --curdir
            --ruby=c:/Ruby200/bin/ruby
            --with-sqlcipher
            --without-sqlcipher
            --with-sqlite3-config
            --without-sqlite3-config
            --with-pkg-config
            --without-pkg-config
            --with-sqlcipher
            --without-sqlcipher
            --with-sqlite3-dir
            --without-sqlite3-dir
            --with-sqlite3-include
            --without-sqlite3-include=${sqlite3-dir}/include
            --with-sqlite3-lib
            --without-sqlite3-lib=${sqlite3-dir}/
    
    
    Gem files will remain installed in c:/Ruby200/lib/ruby/gems/2.0.0/gems/sqlite3-1
    .4.1 for inspection.
    Results logged to c:/Ruby200/lib/ruby/gems/2.0.0/gems/sqlite3-1.4.1/ext/sqlite3/
    gem_make.out

  2. #2

    Default

    Played around with this some more and found a zip on the SQLite page that has SQLite as an application file. So it seems like I have it. I can launch an SQlite3.exe that brings up a command prompt window that looks like this:
    SQLite version 3.29.0 2019-07-10 17:32:000
    Enter ".help" for usage hints.
    Connected to a transient in-memory database. (Bolded words appear in red)
    Use ".open FILENAME" to reopen on a persistent database.
    sqlite>

    I'm going to follow those database clues in a little bit and see if I get anywhere but if anyone has any helpful advice I'd appreciate it.

  3. #3

    Default

    What are you trying to do? just look at the lich.db3 file or something with sqlite? You're not specifying the DB file when you're invoking it. Sqllite, in general, should be extensively documented.

    https://sqlite.org/cli.html

    # sqlite3 ${LICHDATADIR}/lich.db3
    SQLite version 3.22.0 2018-01-22 18:45:57
    Enter ".help" for usage hints.
    sqlite> .tables
    enable_inventory_boxes script_setting uservars
    lich_settings simu_game_entry
    script_auto_settings trusted_scripts
    sqlite>
    Mithrilschlong, 2015-03-10 to slightly later on 2015-03-10. You will not be forgotten!

  4. #4

    Default

    Just trying to install lich. It tells me I don't have SQLite 3.

  5. Default

    Try this (and save yourself some grief?)

    1) Go to your control panel and apps - remove Ruby 2.0.0
    2) Open up your Windows Explorer, click on THIS PC and double click on C DRIVE
    3) Delete the Ruby200 folder if it is still present (it should be, but needs to be gone.)
    4) Go to this link, download the installer and run it. I know, says Windows 10 and you have Windows 7.
    5) Use the new shortcut on your desktop to start Lich, log in through the Lich signin process, select your character and Stormfront.
    6) Click the PLAY button, and enjoy!

    Post any problems here.

  6. #6

    Default

    Thanks, that got everything installed and working.

    For some reason the shortcut it made was all messed up but that's an easy fix and Lich itself works fine.

  7. #7

    Default

    Quote Originally Posted by 2Sage View Post
    Thanks, that got everything installed and working.

    For some reason the shortcut it made was all messed up but that's an easy fix and Lich itself works fine.
    My shortcut also didnt work after using the Windows 10 installer, however for me (brain dead i guess), it has not been an easy fix.. Where did you go to then launch lich if not using the desktop link?
    Last edited by Zatixx; 07-23-2019 at 04:01 PM.

  8. #8

    Default

    Quote Originally Posted by Zatixx View Post
    My shortcut also didnt work after using the Windows 10 installer, however for me (brain dead i guess), it has not been an easy fix.. Where did you go to then launch lich if not using the installer?
    After looking at the text log maybe I can't seem to find it since lich didn't get installed. Here is the log:

    **********************
    Windows PowerShell transcript start
    Start time: 20190723115306
    Username : IMPERIAL\T
    Machine : IMPERIAL (Microsoft Windows NT 6.2.9200.0)
    **********************
    Transcript started, output file is ~/Desktop/T-072319-115306-msLich.txt
    Preparing to install Ruby and gems
    Testing the Ruby basic installation.


    Ruby installed with base gems. Updating Rubygems.
    This will take a couple of moments.

    Rubygems updated. Installing gems required by Lich.


    Gems installed
    Checking values for install log


    Installing Lich
    Expand-Archive : The term 'Expand-Archive' is not recognized as the name of a
    cmdlet, function, script file, or operable program. Check the spelling of the
    name, or if a path was included, verify that the path is correct and try again.
    At C:\Users\T\AppData\Local\Temp\is-LM8E7.tmp\InstallLich\Rubyx64_Lich_Install.
    ps1:147 char:1
    + Expand-Archive .\lich-4.6.49.zip -DestinationPath $HOME
    + ~~~~~~~~~~~~~~
    + CategoryInfo : ObjectNotFound: (Expand-Archive:String) [], Comm
    andNotFoundException
    + FullyQualifiedErrorId : CommandNotFoundException

    Creating Shortcut to run Lich

    Installing Simutronics Launcher
    Installing StormFront

    Done
    **********************
    Windows PowerShell transcript end
    End time: 20190723115541
    **********************

  9. #9

    Default

    I received some help on Discord and got it all working. I had tried installing Lich myself before but did not put in the correct folder... C:/User/<username>/. All fixed and working now.

  10. #10

    Default

    Quote Originally Posted by Risen View Post
    Try this (and save yourself some grief?)

    1) Go to your control panel and apps - remove Ruby 2.0.0
    2) Open up your Windows Explorer, click on THIS PC and double click on C DRIVE
    3) Delete the Ruby200 folder if it is still present (it should be, but needs to be gone.)
    4) Go to this link, download the installer and run it. I know, says Windows 10 and you have Windows 7.
    5) Use the new shortcut on your desktop to start Lich, log in through the Lich signin process, select your character and Stormfront.
    6) Click the PLAY button, and enjoy!

    Post any problems here.
    When I do this, it doesn't download lich correctly I don't think. It doesn't create any shortcuts, and when I try to open Lich, it brings up a prompt to select which program to open it with. I have deleted everything and started over and I know it's probably user error, but I needs help getting back into Elanthia lol.
    [LNet]-GSIV:Arleana: "Going from Spectral Miners to War trolls was interesting. Especially since I was alt/tabbing to this chick getting naked on cam."

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •